/*********************************************************************
*                     SEGGER Microcontroller GmbH                    *
*                        The Embedded Experts                        *
**********************************************************************
*                                                                    *
*       (c) 1995 - 2022 SEGGER Microcontroller GmbH                  *
*                                                                    *
*       Internet: segger.com  Support: support_embos@segger.com      *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS * Real time operating system                           *
*                                                                    *
*       Please note:                                                 *
*                                                                    *
*       Knowledge of this file may under no circumstances            *
*       be used to write a similar product or a real-time            *
*       operating system for in-house use.                           *
*                                                                    *
*       Thank you for your fairness !                                *
*                                                                    *
**********************************************************************
*                                                                    *
*       OS version: V5.18.0.0                                        *
*                                                                    *
**********************************************************************

-------------------------- END-OF-HEADER -----------------------------

File    : init.c
Purpose : Initializes system.

*/

#include "gd32vf103.h"

/*********************************************************************
*
*       _init()
*
*  Function description
*    Initializes system
*/
#if (defined(__ICCRISCV__))
int __low_level_init(void);
int __low_level_init(void) {
  SystemInit();
  return 1;  // Always return 1 to enable segment initilization!
}
#else
void _init(void);
void _init(void) {
  SystemInit();
}
#endif
